Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain.client
Class InputControlImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
          com.jaspersoft.jasperserver.api.metadata.common.domain.client.InputControlImpl

All Implemented Interfaces:
  AttributedObject, InputControl, InternalURI, Resource, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

    public class InputControlImpl

extends ResourceImpl
implements InputControl

Version:
  $Id: InputControlImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InputControl
`TYPE_BOOLEAN, TYPE_MULTI_SELECT_LIST_OF_VALUES, TYPE_MULTI_SELECT_LIST_OF_VALUES_CHECKBOX, TYPE_MULTI_SELECT_QUERY, TYPE_MULTI_SELECT_QUERY_CHECKBOX, TYPE_MULTI_VALUE, TYPE_SINGLE_SELECT_LIST_OF_VALUES, TYPE_SINGLE_SELECT_LIST_OF_VALUES_RADIO, TYPE_SINGLE_SELECT_QUERY, TYPE_SINGLE_SELECT_QUERY_RADIO, TYPE_SINGLE_VALUE`

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Constructor Summary
`InputControlImpl()`

Method Summary
`void` | `addQueryVisibleColumn(java.lang.String column)`
`ResourceReference` | `getDataType()` Returns the reference to the `data type` of this input control.
`java.lang.Object` | `getDefaultValue()`
`java.util.List` | `getDefaultValues()`
`protected java.lang.Class` | `getImplementingItf()`
`ResourceReference` | `getListOfValues()` Returns the reference to the `list of values` used by this input control.
`ResourceReference` | `getQuery()` Returns the reference to the `query` used by this input control.
`java.lang.String` | `getQueryValueColumn()`
`java.lang.String[]` | `getQueryVisibleColumns()`
`java.util.List` | `getQueryVisibleColumnsAsList()`
`byte` | `getType()`
`boolean` | `isMandatory()`
`boolean` | `isReadOnly()`
`boolean` | `isVisible()`
`void` | `removeQueryVisibleColumn(java.lang.String column)`
`void` | `setDataType(DataType dataType)`
`void` | `setDataType(ResourceReference dataType)`
`void` | `setDataTypeReference(java.lang.String referenceURI)`
`void` | `setDefaultValue(java.lang.Object value)`
`void` | `setDefaultValues(java.util.List values)`
`void` | `setListOfValues(ListOfValues listOfValues)`
`void` | `setListOfValues(ResourceReference values)`
`void` | `setListOfValuesReference(java.lang.String referenceURI)`
`void` | `setMandatory(boolean isMandatory)`
`void` | `setQuery(Query query)`
`void` | `setQuery(ResourceReference query)`
`void` | `setQueryReference(java.lang.String referenceURI)`
`void` | `setQueryValueColumn(java.lang.String column)`
`void` | `setReadOnly(boolean isReadOnly)`
`void` | `setType(byte type)`
`void` | `setVisible(boolean visible)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
`getAttributes, getCreationDate, getDescription, getLabel, getName, getParentFolder, getParentPath, getParentURI, getPath, getProtocol, getResourceType, getURI, getURIString, getVersion, isNew, setAttributes, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Constructor Detail

### InputControlImpl

    public InputControlImpl()

Method Detail

### getType

    public byte getType()

  Specified by:
    `getType` in interface `InputControl`

### setType

    public void setType(byte type)

  Specified by:
    `setType` in interface `InputControl`

### isMandatory

    public boolean isMandatory()

  Specified by:
    `isMandatory` in interface `InputControl`

### setMandatory

    public void setMandatory(boolean isMandatory)

  Specified by:
    `setMandatory` in interface `InputControl`

### isReadOnly

    public boolean isReadOnly()

  Specified by:
    `isReadOnly` in interface `InputControl`

### setReadOnly

    public void setReadOnly(boolean isReadOnly)

  Specified by:
    `setReadOnly` in interface `InputControl`

### isVisible

    public boolean isVisible()

  Specified by:
    `isVisible` in interface `InputControl`

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `InputControl`

### getDataType

    public ResourceReference getDataType()

  Description copied from interface: `InputControl`
  Returns the reference to the `data type` of this input control.

  Specified by:
    `getDataType` in interface `InputControl`
  Returns:
    a reference to the data type used by this input control

### setDataType

    public void setDataType(ResourceReference dataType)

  Specified by:
    `setDataType` in interface `InputControl`

### setDataType

    public void setDataType(DataType dataType)

  Specified by:
    `setDataType` in interface `InputControl`

### setDataTypeReference

    public void setDataTypeReference(java.lang.String referenceURI)

  Specified by:
    `setDataTypeReference` in interface `InputControl`

### getListOfValues

    public ResourceReference getListOfValues()

  Description copied from interface: `InputControl`
  Returns the reference to the `list of values` used by this input control.

  Specified by:
    `getListOfValues` in interface `InputControl`
  Returns:
    a reference to the list of values used by this input control

### setListOfValues

    public void setListOfValues(ResourceReference values)

  Specified by:
    `setListOfValues` in interface `InputControl`

### setListOfValues

    public void setListOfValues(ListOfValues listOfValues)

  Specified by:
    `setListOfValues` in interface `InputControl`

### setListOfValuesReference

    public void setListOfValuesReference(java.lang.String referenceURI)

  Specified by:
    `setListOfValuesReference` in interface `InputControl`

### getQuery

    public ResourceReference getQuery()

  Description copied from interface: `InputControl`
  Returns the reference to the `query` used by this input control.

  Specified by:
    `getQuery` in interface `InputControl`
  Returns:
    a reference to the query used by this input control

### setQuery

    public void setQuery(ResourceReference query)

  Specified by:
    `setQuery` in interface `InputControl`

### setQuery

    public void setQuery(Query query)

  Specified by:
    `setQuery` in interface `InputControl`

### setQueryReference

    public void setQueryReference(java.lang.String referenceURI)

  Specified by:
    `setQueryReference` in interface `InputControl`

### getQueryVisibleColumns

    public java.lang.String[] getQueryVisibleColumns()

  Specified by:
    `getQueryVisibleColumns` in interface `InputControl`

### getQueryVisibleColumnsAsList

    public java.util.List getQueryVisibleColumnsAsList()

  Specified by:
    `getQueryVisibleColumnsAsList` in interface `InputControl`

### addQueryVisibleColumn

    public void addQueryVisibleColumn(java.lang.String column)

  Specified by:
    `addQueryVisibleColumn` in interface `InputControl`

### removeQueryVisibleColumn

    public void removeQueryVisibleColumn(java.lang.String column)

  Specified by:
    `removeQueryVisibleColumn` in interface `InputControl`

### getQueryValueColumn

    public java.lang.String getQueryValueColumn()

  Specified by:
    `getQueryValueColumn` in interface `InputControl`

### setQueryValueColumn

    public void setQueryValueColumn(java.lang.String column)

  Specified by:
    `setQueryValueColumn` in interface `InputControl`

### getDefaultValue

    public java.lang.Object getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `InputControl`

### setDefaultValue

    public void setDefaultValue(java.lang.Object value)

  Specified by:
    `setDefaultValue` in interface `InputControl`

### getDefaultValues

    public java.util.List getDefaultValues()

  Specified by:
    `getDefaultValues` in interface `InputControl`

### setDefaultValues

    public void setDefaultValues(java.util.List values)

  Specified by:
    `setDefaultValues` in interface `InputControl`

### getImplementingItf

    protected java.lang.Class getImplementingItf()

  Specified by:
    `getImplementingItf` in class `ResourceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.